curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/executions/{executionId} \
--header 'X-Asteroid-Agents-Api-Key: <api-key>'{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentName": "<string>",
"comments": [
{
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"public": true,
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"hasBeenRerun": true,
"humanLabels": [
{
"color": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentProfileName": "<string>",
"browserLiveViewUrl": "<string>",
"browserRecordingUrl": "<string>",
"duration": 123,
"executionOptions": {
"sharedStorageKey": "<string>",
"softTimeoutMins": 2
},
"executionResult": {
"createdAt": "2023-11-07T05:31:56Z",
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "<string>",
"reasoning": "<string>",
"result": "<unknown>"
},
"inputs": {},
"liveViewUrl": "<string>",
"metadata": {},
"parentExecutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recordingUrl": "<string>",
"terminalAt": "2023-11-07T05:31:56Z",
"triggerContext": {
"runner": {
"email": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAdmin": true
},
"apiKey": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
}Get execution
Get a single execution by ID with all details
curl --request GET \
--url https://odyssey.asteroid.ai/agents/v2/executions/{executionId} \
--header 'X-Asteroid-Agents-Api-Key: <api-key>'{
"agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentName": "<string>",
"comments": [
{
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"public": true,
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"hasBeenRerun": true,
"humanLabels": [
{
"color": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentProfileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agentProfileName": "<string>",
"browserLiveViewUrl": "<string>",
"browserRecordingUrl": "<string>",
"duration": 123,
"executionOptions": {
"sharedStorageKey": "<string>",
"softTimeoutMins": 2
},
"executionResult": {
"createdAt": "2023-11-07T05:31:56Z",
"executionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"outcome": "<string>",
"reasoning": "<string>",
"result": "<unknown>"
},
"inputs": {},
"liveViewUrl": "<string>",
"metadata": {},
"parentExecutionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recordingUrl": "<string>",
"terminalAt": "2023-11-07T05:31:56Z",
"triggerContext": {
"runner": {
"email": "<string>",
"userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isAdmin": true
},
"apiKey": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}
}Authorizations
Path Parameters
The unique identifier of the execution
Response
The request has succeeded.
Represents a single execution in a list view
The ID of the agent that was executed
The agent display name
Comments on this execution
Show child attributes
Show child attributes
When the execution was created
Whether this execution has been rerun at least once
Human-applied labels for this execution
Show child attributes
Show child attributes
The unique identifier of the execution
The organization this execution belongs to
The current status of the execution
starting, running, paused, awaiting_confirmation, completed, cancelled, failed, paused_by_agent The ID of the workflow that was executed
The ID of the agent profile used for this execution (if any)
The name of the agent profile used for this execution (if any)
Deprecated: Use 'liveViewUrl' instead.
Deprecated: Use 'recordingUrl' instead.
Execution duration in seconds (only present for terminal executions)
Per-execution runtime options (e.g. shared storage key)
Show child attributes
Show child attributes
Execution result with outcome, reasoning, and result data
Show child attributes
Show child attributes
Input variables used for this execution
Live view URL for debugging (if an environment is active and execution is running)
Optional metadata key-value pairs attached to this execution
ID of the execution this was rerun from, if applicable
Recording URL for playback (if an environment was used and execution is terminal)
When the execution reached a terminal state (if applicable)
Context about how and by whom this execution was triggered (discriminated by source)
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes

